Introducing OpenTelemetry for Chargebee SDKs — trace every API call in any telemetry tool.

List business rulesets

Returns a list of business rulesets satisfying all the conditions specified in the filter parameters. The response describes each ruleset but does not carry its membership; use List rules in a business ruleset to page through the rules of a particular ruleset.

Sample Request

Sample Result[JSON]

URL Format

GET https://[site].chargebee.com/api/v2/business_rulesets

Input Parameters

limit
optional, integer, default=10, min=1, max=100

The number of resources to be returned.

offset
optional, string, max chars=1000

Determines your position in the list for pagination. To ensure that the next page is retrieved correctly, always set offset to the value of next_offset obtained in the previous iteration of the API call.

Filter Params

For operator usages, see the Pagination and Filtering section.
active[<operator>]

optional, boolean filter

Filters the results by the active status of the business ruleset. Pass true to return only the rulesets Chargebee currently evaluates, and false to return only the rulesets that are switched off. When omitted, rulesets are returned irrespective of their active status. Supported operators : is

Example → active[is] = "true"

Supported operators: is
Example true

Returns

next_offset
optional, string, max chars=1000

This attribute is returned only if more resources are present. To fetch the next set of resources use this value for the input parameter offset.

Business ruleset object

A business ruleset matching the filters. Use List rules in a business ruleset to page through the membership of a particular ruleset.